## conserver 7.1.3

=== contrib/solaris-package/Makefile ===
# Makefile for System V package

PKGNAME = conserver

# where to put package
PKGSPOOLDIR = /var/spool/pkg

# where package's files ultimately go (when package is installed)
PKGROOT = /opt

# temporary directory used while building package
INSTALLROOT = /tmp/conserverinstallroot

BUILDDIR = ../..

# temporary install directories
BINDIR   = $(INSTALLROOT)/bin
LIBDIR   = $(INSTALLROOT)/lib
MAN1MDIR = $(INSTALLROOT)/share/man/man1m
MAN4DIR  = $(INSTALLROOT)/share/man/man4
MAN1MEXT = 1m
MAN4EXT  = 4

# command to correct section numbers and file names in manual pages
FIXMANCMD = sed -e '/^\.TH/s/8/1m/' -e 's/([18]L)/(1m)/g' -e 's/(5L)/(4)/g' -e 's|/etc/|/etc/opt/conserver/|' -e 's|/usr/local/lib/|/etc/opt/conserver/|'

# command to change program location in script
FIXSCRIPTCMD = sed -e 's!/usr/local!$(PKGROOT)!'

package: pkginfo prototype fakeinstall
	test -d $(PKGSPOOLDIR) || mkdir $(PKGSPOOLDIR)
	pkgmk -d $(PKGSPOOLDIR) -o -a `uname -p` -r $(INSTALLROOT)
	$(RM) -r $(INSTALLROOT)

fakeinstall:
	mkdir -p $(BINDIR) $(LIBDIR) $(MAN1MDIR) $(MAN4DIR)
	/usr/ucb/install -cs $(BUILDDIR)/conserver/conserver $(BINDIR)/conserver
	/usr/ucb/install -cs $(BUILDDIR)/console/console $(BINDIR)/console
	$(FIXMANCMD) man_tbl_header $(BUILDDIR)/conserver/conserver.man > $(MAN1MDIR)/conserver.$(MAN1MEXT)
	$(FIXMANCMD) man_tbl_header $(BUILDDIR)/console/console.man > $(MAN1MDIR)/console.$(MAN1MEXT)
	$(FIXMANCMD) $(BUILDDIR)/conserver.cf/conserver.cf.man > $(MAN4DIR)/conserver.cf.$(MAN4EXT)
	$(FIXSCRIPTCMD) $(BUILDDIR)/conserver/conserver.rc > $(LIBDIR)/conserver.rc

## conserver 8.1.18

=== debian/changelog ===
conserver (8.1.18-2.2ubuntu2) trusty; urgency=low

  * Use autotools-dev instead of dh-autoreconf, since libtool isn't
    necessary.

 -- Daniel T Chen <crimsun@ubuntu.com>  Tue, 21 Jan 2014 15:56:28 -0500

conserver (8.1.18-2.2ubuntu1) trusty; urgency=low

  * Use dh-autoreconf for newer arches, resolving FTBFS.
  * Use source format 3.0 (quilt).

 -- Daniel T Chen <crimsun@ubuntu.com>  Tue, 21 Jan 2014 15:40:56 -0500

conserver (8.1.18-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "fails to upgrade from testing: Can't locate
    Tie/Hash/NamedCapture.pm in @INC":
    use numbered capture groups instead of named ones, which need
    Tie::Hash::NamedCapture which is in the perl package.
    (Closes: #691015)

 -- gregor herrmann <gregoa@debian.org>  Sun, 09 Dec 2012 20:36:19 +0100

conserver (8.1.18-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "prompting due to modified conffiles which where not modified by
    the user":
    - don't install the conffile template below /etc but below /usr/share
    - copy it in .postinst if the file in /etc doesn't exist yet
    - read existing values in .config
    - fix replacement in .postinst
    - remove the correct file in .postrm
    (Closes: #657465)

 -- gregor herrmann <gregoa@debian.org>  Thu, 11 Oct 2012 19:06:36 +0200

conserver (8.1.18-2) unstable; urgency=low

  * added lsb-init patch from Bernhard Schmidt (closes: #672468)
  * bumped Standards-Version to 3.9.3

 -- Jörgen Hägg <jh@debian.org>  Mon, 11 Jun 2012 21:21:53 +0200

conserver (8.1.18-1) unstable; urgency=low

  * new upstream version
  * updated default config files (closes: #603055) 

 -- Jörgen Hägg <jh@debian.org>  Sun, 15 May 2011 10:58:00 +0200

conserver (8.1.16-4) unstable; urgency=low

  * added italian translation from Vincenzo Campanella (closes: #600632) 
  * added spanish translation from Camaleón (closes: #584457) 
  * added danish translation from Joe Hansen (closes: #586237) 
  * added $remote_fs to init script
  * watch file updated to new format
  * changed Standards-Version to 3.9.1
  * Added homepage header

 -- Jörgen Hägg <jh@debian.org>  Sat, 30 Oct 2010 21:34:03 +0200

conserver (8.1.16-3) unstable; urgency=low

  * added basque translation from Piarres Beobide (closes: #481461) 
  * added galician translation from Jacobo Tarrio (closes: #481531) 
  * added finnish translation from Esko Arajärvi (closes: #482316) 
  * added brazilian portuguese translation from Eder L. Marques
  	(closes: #483386) 

 -- Joergen Haegg <jh@debian.org>  Fri, 30 May 2008 21:00:44 +0200

conserver (8.1.16-2) unstable; urgency=low

  * 'reload' is now announced as a possible command, patch
    from Andrew Deason (closes: #465818)
  * added update to dutch translation from Thijs Kinkhorst (closes: #410198) 
  * upgraded to standards version 3.7.3 

 -- Joergen Haegg <jh@debian.org>  Tue, 13 May 2008 20:33:38 +0200

conserver (8.1.16-1) unstable; urgency=low

  * New upstream release
  * added colon after each 'closes' in the changelog to silence
    'possible-missing-colon-in-closes' complaints

 -- Joergen Haegg <jh@debian.org>  Thu, 12 Apr 2007 20:03:53 +0200

conserver (8.1.15-3) unstable; urgency=low

  * added update to french translation from Christian Perrier (closes: #408208)
  * updated many po-files from tar file by Christian Perrier
  * added update to czech translation from Jakub Kasparec (closes: #408731)
  * added update to russian translation from Yuri Kozlov (closes: #408751)
  * added update to german translation from Helge Kreutzmann (closes: #408859)
  * closing old bug, should have been closed in 8.1.14-1 (closes: #359235)
  * closing old bug, ssl is compiled in (closes: #396455)
  * closing old bug, amd64 is available (closes: #387254)

 -- Joergen Haegg <jh@debian.org>  Mon, 29 Jan 2007 21:06:23 +0100

conserver (8.1.15-2) unstable; urgency=low

  * added update to german translation from Helge Kreutzmann (closes: #407845)
  * added update to czech translation from Jakub Kasparec (closes: #356715)
  * added update to french translation from Christian Perrier (closes: #405515)
  * added XS-Autobuild header in control file
  * updated to debian policy 3.7.2.2 

 -- Joergen Haegg <jh@debian.org>  Mon, 22 Jan 2007 22:19:47 +0100

conserver (8.1.15-1) unstable; urgency=low

  * New upstream release
  * bug in debian/rules, didn't udpate debian/po, patch
    from Christian Perrier (closes: #405516)

 -- Joergen Haegg <jh@debian.org>  Thu,  4 Jan 2007 11:43:30 +0100

conserver (8.1.14-2) unstable; urgency=low

  * spelling error corrected, patch from Helge Kreutzmann (closes: #402942)
  * updated german translation (closes: #402944)

 -- Joergen Haegg <jh@debian.org>  Mon, 18 Dec 2006 05:49:41 +0100

conserver (8.1.14-1) unstable; urgency=low

  * new upstream release
  * encryption seems to work. (closes: #359235)
  * updated Czech translation. (closes: #356715)

 -- Joergen Haegg <jh@debian.org>  Wed, 19 Apr 2006 19:35:53 +0200

conserver (8.1.13-2) unstable; urgency=low

  * added French translation from ClÃ©ment Stenac <zorglub@via.ecp.fr>
    (closes: #352057)
  * added Czech translation from Igor Jasa <Igor.Jasa@seznam.cz>
    (closes: #319402)

 -- Joergen Haegg <jh@debian.org>  Fri, 10 Feb 2006 22:16:15 +0100

conserver (8.1.13-1) unstable; urgency=low

  * New upstream release
  	"This latest release includes what I believe is a fix for the
       'conserver runs wild and eats up the CPU' issue that I've heard about."
       (closes: #339729)
  * updated Build-depends (closes: #342015)
  * removed :adm from init and added 'create' in logrotate (closes: #344207)
  * removed wrapper for console (closes: #344215)

 -- Joergen Haegg <jh@debian.org>  Tue, 17 Jan 2006 17:09:18 +0100

conserver (8.1.12-2) unstable; urgency=low

  * recompiled against 0.9.8a-4 

 -- Joergen Haegg <jh@debian.org>  Mon, 14 Nov 2005 21:36:50 +0100

conserver (8.1.12-1) unstable; urgency=low

  * New upstream release fixes


=== debian/control ===
Source: conserver
Section: non-free/comm
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jörgen Hägg <jh@debian.org>
Build-Depends: debhelper (>= 7.0.50), po-debconf, libpam0g-dev, libwrap0-dev, libssl-dev, autotools-dev
Standards-Version: 3.9.3
XS-Autobuild: yes
Homepage: http://www.conserver.com/

Package: conserver-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base (>= 3.0-6)
Description: connect multiple user to a serial console with logging
 Conserver is an application that allows multiple users to watch a
 serial console at the same time.  It can log the data, allows users
 to take write-access of a console (one at a time), and has a
 variety of bells and whistles to accentuate that basic
 functionality.  The idea is that conserver will log all your serial
 traffic so you can go back and review why something crashed, look
 at changes (if done on the console), or tie the console logs into a
 monitoring system (just watch the logfiles it creates).  With
 multi-user capabilities you can work on equipment with others,
 mentor, train, etc.  It also does all that client-server stuff so
 that, assuming you have a network connection, you can interact with
 any of the equipment from home or wherever.
 .
 This is the server part of the conserver system.

Package: conserver-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: connect to a console server
 Conserver is an application that allows multiple users to watch a
 serial console at the same time.  It can log the data, allows users
 to take write-access of a console (one at a time), and has a
 variety of bells and whistles to accentuate that basic
 functionality.  The idea is that conserver will log all your serial
 traffic so you can go back and review why something crashed, look
 at changes (if done on the console), or tie the console logs into a
 monitoring system (just watch the logfiles it creates).  With
 multi-user capabilities you can work on equipment with others,
 mentor, train, etc.  It also does all that client-server stuff so
 that, assuming you have a network connection, you can interact with
 any of the equipment from home or wherever.
 .
 This is client part of the conserver system.

=== debian/rules ===
#!/usr/bin/make -f

client = conserver-client
clientd = debian/$(client)
server = conserver-server
serverd = debian/$(server)

%:
	dh $@ --with autotools-dev

override_dh_auto_configure:
	./configure \
		--verbose \
		--sysconfdir=/etc/conserver \
		--with-openssl \
		--with-pam \
		--with-regex \
		--with-port=782 \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--with-logfile=/var/log/conserver/server.log \
		--with-pidfile=/var/run/conserver.pid \
		--with-libwrap \
		--with-64bit

override_dh_installman:
	dh_installman --language=C

override_dh_installcron override_dh_pysupport override_dh_perl override_dh_ucf:

=== debian/watch ===
version=3
#
#
http://www.conserver.com/conserver-([\d\.]+)\.tar\.gz

## conserver 8.2.4

=== debian/changelog ===
conserver (8.2.4-2) unstable; urgency=medium

  * Adjust start-stop-daemon parameters for reload as well.
    Thanks to Henning Schild
  * systemd unit, use service wrapper for rotate
  * Move pidfile to /run/conserver/conserver.pid to allow unpriviledged
    writing
  * Drop pre-8.x.x upgrade code from 2005
  * Replace "grep ... /etc/passwd" with getent
  * Always create conservr user (Closes: #532226)

 -- Bernhard Schmidt <berni@debian.org>  Sun, 18 Aug 2019 01:45:25 +0200

conserver (8.2.4-1) unstable; urgency=medium

  Clean-Up with Jörgen's permission

  [ Bernhard Schmidt ]
  * New upstream version 8.2.4
    - drop OpenSSL 1.1 patches applied upstream
    - adjust documentation for renames and dropped conserver.html
    - copy config.sub and config.guess
  * Set maintainer address to pdo, put Jörgen into Uploaders
  * Add myself to uploaders
  * Set Vcs-* in d/control
  * Enable Salsa-CI for package
  * Switch to source format 3.0 (quilt)
  * Bump debhelper compat level to 11
  * Add japanese translation (Closes: #690567)
  * Add turkish translation (Closes: #757487)
  * Make init.d stop action wait for all daemons to exit (Closes: #896184)
  * Use sharedscripts for logrotate (Closes: #886094)
  * Enable IPv6

  [ Salvatore Bonaccorso ]
  * debian/watch: watch github page for released versions (Closes: #922726)

 -- Bernhard Schmidt <berni@debian.org>  Fri, 12 Jul 2019 18:19:10 +0200

conserver (8.2.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * cherry-pick a handfull patches from upstream for OpenSSL 1.1 compatibility
    (Closes: #851085).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 19 Feb 2019 23:50:54 +0100

conserver (8.2.1-1) unstable; urgency=medium

  * new upstream version 
  * using libssl1.0 until upstream has fixed current problems (Closes: #828270)

 -- Jörgen Hägg <jh@debian.org>  Wed, 02 Nov 2016 20:56:17 +0100

conserver (8.1.19-1) unstable; urgency=low

  * new upstream version 

 -- Jörgen Hägg <jh@debian.org>  Tue, 08 Oct 2013 21:33:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,22 @@
 Source: conserver
 Section: non-free/comm
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jörgen Hägg <jh@debian.org>
-Build-Depends: debhelper (>= 7.0.50), po-debconf, libpam0g-dev, libwrap0-dev, libssl-dev, autotools-dev
-Standards-Version: 3.9.3
+Maintainer: Conserver Maintainers <conserver@packages.debian.org>
+Uploaders: Jörgen Hägg <jh@debian.org>, Bernhard Schmidt <berni@debian.org>
+Build-Depends: debhelper (>= 11~),
+               libpam0g-dev,
+               libssl-dev,
+               libwrap0-dev,
+               po-debconf
+Standards-Version: 3.9.8
 XS-Autobuild: yes
 Homepage: http://www.conserver.com/
+Vcs-Git: https://salsa.debian.org/debian/conserver.git
+Vcs-Browser: https://salsa.debian.org/debian/conserver
 
 Package: conserver-server
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base (>= 3.0-6)
+Depends: adduser, lsb-base (>= 3.0-6), ${misc:Depends}, ${shlibs:Depends}
 Description: connect multiple user to a serial console with logging
  Conserver is an application that allows multiple users to watch a
  serial console at the same time.  It can log the data, allows users
@@ -29,7 +35,7 @@
 
 Package: conserver-client
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: connect to a console server
  Conserver is an application that allows multiple users to watch a
  serial console at the same time.  It can log the data, allows users
@@ -45,4 +51,3 @@
  any of the equipment from home or wherever.
  .
  This is client part of the conserver system.
-

=== debian/rules ===
--- 
+++ 
@@ -6,23 +6,25 @@
 serverd = debian/$(server)
 
 %:
-	dh $@ --with autotools-dev
+	dh $@
 
 override_dh_auto_configure:
+	cp -f /usr/share/misc/config.sub config.sub
+	cp -f /usr/share/misc/config.guess config.guess
+
 	./configure \
 		--verbose \
 		--sysconfdir=/etc/conserver \
 		--with-openssl \
 		--with-pam \
-		--with-regex \
 		--with-port=782 \
 		--prefix=/usr \
 		--mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info \
 		--with-logfile=/var/log/conserver/server.log \
-		--with-pidfile=/var/run/conserver.pid \
+		--with-pidfile=/run/conserver/conserver.pid \
 		--with-libwrap \
-		--with-64bit
+		--with-ipv6
 
 override_dh_installman:
 	dh_installman --language=C

## conserver 8.2.6

=== contrib/solaris-package/Makefile ===
--- 
+++ 
@@ -39,4 +39,5 @@
 	$(FIXMANCMD) man_tbl_header $(BUILDDIR)/conserver/conserver.man > $(MAN1MDIR)/conserver.$(MAN1MEXT)
 	$(FIXMANCMD) man_tbl_header $(BUILDDIR)/console/console.man > $(MAN1MDIR)/console.$(MAN1MEXT)
 	$(FIXMANCMD) $(BUILDDIR)/conserver.cf/conserver.cf.man > $(MAN4DIR)/conserver.cf.$(MAN4EXT)
+	$(FIXMANCMD) $(BUILDDIR)/conserver.cf/conserver.passwd.man > $(MAN4DIR)/conserver.passwd.$(MAN4EXT)
 	$(FIXSCRIPTCMD) $(BUILDDIR)/conserver/conserver.rc > $(LIBDIR)/conserver.rc

=== debian/changelog ===
conserver (8.2.6-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Helmut Grohne ]
  * Fix FTCBFS by calling dh_auto_configure (Closes: #977820)

  [ Bernhard Schmidt ]
  * Remove unnecessary dh overrides
  * Do not enable and start conserver-server by default (Closes: #972583)
  * Enable GSSAPI (with patch from Fedora) (Closes: #826230)

 -- Bernhard Schmidt <berni@debian.org>  Mon, 25 Jan 2021 10:24:39 +0100

conserver (8.2.6-1) unstable; urgency=medium

  * New upstream version 8.2.6
    - fixes IPv4 CIDR ACLs (Closes: #972581)
  * Clarify license to be BSD-3-clause, move to main
    Current upstream (together with original upstream) has clarified the
    license to be BSD-3-clause, thus the package can be moved to main.
    - d/copyright: Rework to dep5 format
    - (Closes: #931365, #963103)
  * Order conserver-server.service after network.target
  * Install more upstream documentation files and all license information
  * Drop obsolete d/README.Debian and d/NEWS
  * Don't install obsolete autologin example to make the build reproducible
  * Bump to debhelper-compat (= 12)
    - Add Pre-Depends substvar on conserver-server
  * d/salsa-ci.yml: Run all jobs

 -- Bernhard Schmidt <berni@debian.org>  Sun, 13 Dec 2020 21:46:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: conserver
-Section: non-free/comm
+Section: comm
 Priority: optional
 Maintainer: Conserver Maintainers <conserver@packages.debian.org>
 Uploaders: Jörgen Hägg <jh@debian.org>, Bernhard Schmidt <berni@debian.org>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
+               libkrb5-dev,
                libpam0g-dev,
                libssl-dev,
                libwrap0-dev,
                po-debconf
-Standards-Version: 3.9.8
-XS-Autobuild: yes
-Homepage: http://www.conserver.com/
+Standards-Version: 4.5.1.0
+Homepage: https://www.conserver.com/
 Vcs-Git: https://salsa.debian.org/debian/conserver.git
 Vcs-Browser: https://salsa.debian.org/debian/conserver
 
 Package: conserver-server
 Architecture: any
 Depends: adduser, lsb-base (>= 3.0-6), ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: connect multiple user to a serial console with logging
  Conserver is an application that allows multiple users to watch a
  serial console at the same time.  It can log the data, allows users

=== debian/rules ===
#!/usr/bin/make -f

client = conserver-client
clientd = debian/$(client)
server = conserver-server
serverd = debian/$(server)

%:
	dh $@

override_dh_auto_configure:
	cp -f /usr/share/misc/config.sub config.sub
	cp -f /usr/share/misc/config.guess config.guess

	dh_auto_configure -- \
		--verbose \
		--sysconfdir=/etc/conserver \
		--with-openssl \
		--with-pam \
		--with-port=782 \
		--with-logfile=/var/log/conserver/server.log \
		--with-pidfile=/run/conserver/conserver.pid \
		--with-libwrap \
		--with-ipv6 \
		--with-gssapi

override_dh_auto_install:
	dh_auto_install -- INSTALL_PROGRAM='install --strip-program=true'

override_dh_installman:
	dh_installman --language=C

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start

override_dh_installinit:
	dh_installinit --no-enable --no-start

## conserver 8.2.7

=== debian/changelog ===
conserver (8.2.7-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for FTBFS with GCC 15. (Closes: #1096461)
  * Build-Depends: libcrypt-dev (Closes: #1106986)

 -- Adrian Bunk <bunk@debian.org>  Sun, 21 Sep 2025 12:52:57 +0300

conserver (8.2.7-3) unstable; urgency=medium

  [ Bjørn Mork ]
  * Enable IPMI (Closes: #990298)

  [ William Kirstaedter ]
  * Implement systemctl reload (Closes: #1068802)

 -- Bernhard Schmidt <berni@debian.org>  Wed, 02 Oct 2024 00:48:02 +0200

conserver (8.2.7-2) unstable; urgency=medium

  * Make testsuite non-fatal, it does not work on IPv6-only buildds
    (Closes: #1019233)

 -- Bernhard Schmidt <berni@debian.org>  Mon, 24 Oct 2022 23:10:07 +0200

conserver (8.2.7-1) unstable; urgency=medium

  * New upstream version 8.2.7
  * Drop patches applied upstream

 -- Bernhard Schmidt <berni@debian.org>  Tue, 12 Jul 2022 00:01:14 +0200

conserver (8.2.6-3) unstable; urgency=medium

  * Team upload.
  * Add an upstream patch to add high baud rates support (Closes: #990299)
  * Add an upstream patch to fix autoconf 2.70 support (Closes: #993381)

 -- Dylan Aïssi <daissi@debian.org>  Thu, 09 Sep 2021 22:05:54 +0200

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,9 @@
 Maintainer: Conserver Maintainers <conserver@packages.debian.org>
 Uploaders: Jörgen Hägg <jh@debian.org>, Bernhard Schmidt <berni@debian.org>
 Build-Depends: debhelper-compat (= 12),
+               libcrypt-dev,
+               libfreeipmi-dev,
+               libipmiconsole-dev,
                libkrb5-dev,
                libpam0g-dev,
                libssl-dev,
@@ -16,7 +19,7 @@
 
 Package: conserver-server
 Architecture: any
-Depends: adduser, lsb-base (>= 3.0-6), ${misc:Depends}, ${shlibs:Depends}
+Depends: adduser, ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: connect multiple user to a serial console with logging
  Conserver is an application that allows multiple users to watch a

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,8 @@
 		--with-pidfile=/run/conserver/conserver.pid \
 		--with-libwrap \
 		--with-ipv6 \
-		--with-gssapi
+		--with-gssapi \
+		--with-freeipmi
 
 override_dh_auto_install:
 	dh_auto_install -- INSTALL_PROGRAM='install --strip-program=true'
@@ -36,3 +37,9 @@
 override_dh_installinit:
 	dh_installinit --no-enable --no-start
 
+override_dh_auto_test:
+	# Make testsuite failures non-fatal fow now, they don't work
+	# on IPv6-only buildds, see Bug#952740 for a technical description
+	# and Bug#1019233 for this instance
+	dh_auto_test -a || head test/*.diff
+

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%conserver-$1.tar.gz%" \
https://github.com/conserver/conserver/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz
